org.apache.ignite.spi.communication.tcp

## Interface TcpCommunicationSpiMBean

All Superinterfaces:
  IgniteSpiManagementMBean

All Known Implementing Classes:
  TcpCommunicationSpi

    @MXBeanDescription(value="MBean provide access to TCP-based communication SPI.")
    public interface TcpCommunicationSpiMBean
    extends IgniteSpiManagementMBean

MBean provide access to TCP-based communication SPI.

### Method Summary

Methods
`int` `getAckSendThreshold()` Gets number of received messages per connection to node after which acknowledgment message is sent.
`long` `getConnectionBufferFlushFrequency()` Deprecated. Not used anymore.
`int` `getConnectionBufferSize()` Deprecated. Not used anymore.
`long` `getConnectTimeout()` Gets connect timeout used when establishing connection with remote nodes.
`long` `getIdleConnectionTimeout()` Gets maximum idle connection time upon which idle connections will be closed.
`String` `getLocalAddress()` Gets local host address for socket binding.
`int` `getLocalPort()` Gets local port for socket binding.
`int` `getLocalPortRange()` Gets maximum number of local ports tried if all previously tried ports are occupied.
`long` `getMaxConnectTimeout()` Gets maximum connect timeout.
`int` `getMessageQueueLimit()` Gets message queue limit for incoming and outgoing messages.
`int` `getMinimumBufferedMessageCount()` Deprecated. Not used anymore.
`int` `getOutboundMessagesQueueSize()` Gets outbound messages queue size.
`long` `getReceivedBytesCount()` Gets received bytes count.
`int` `getReceivedMessagesCount()` Gets received messages count.
`int` `getReconnectCount()` Gets maximum number of reconnect attempts used when establishing connection with remote nodes.
`int` `getSelectorsCount()` Gets count of selectors used in TCP server.
`long` `getSentBytesCount()` Gets sent bytes count.
`int` `getSentMessagesCount()` Gets sent messages count.
`int` `getSharedMemoryPort()` Gets local port for shared memory communication.
`int` `getSlowClientQueueLimit()` Gets slow client queue limit.
`int` `getSocketReceiveBuffer()` Gets receive buffer size for sockets created or accepted by this SPI.
`int` `getSocketSendBuffer()` Gets send buffer size for sockets created or accepted by this SPI.
`long` `getSocketWriteTimeout()` Gets socket write timeout for TCP connections.
`int` `getUnacknowledgedMessagesBufferSize()` Gets maximum number of stored unacknowledged messages per connection to node.
`boolean` `isDirectBuffer()` Gets flag that indicates whether direct or heap allocated buffer is used.
`boolean` `isDirectSendBuffer()` Gets flag defining whether direct send buffer should be used.
`boolean` `isTcpNoDelay()` Gets value for `TCP_NODELAY` socket option.
`void` `setConnectionBufferFlushFrequency(long connBufFlushFreq)` Deprecated. Not used anymore.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

`getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

### Method Detail

#### getLocalAddress

    @MXBeanDescription(value="Grid node IP address.")
    String getLocalAddress()

Gets local host address for socket binding. Beside loopback address physical node could have several other ones, but only one is assigned to grid node.

Returns:
  Grid node IP address.

#### getLocalPort

    @MXBeanDescription(value="Port number.")
    int getLocalPort()

Gets local port for socket binding.

Returns:
  Port number.

#### getSharedMemoryPort

    @MXBeanDescription(value="Shared memory endpoint port number.")
    int getSharedMemoryPort()

Gets local port for shared memory communication.

Returns:
  Port number.

#### getLocalPortRange

    @MXBeanDescription(value="Local port range.")
    int getLocalPortRange()

Gets maximum number of local ports tried if all previously tried ports are occupied.

Returns:
  Local port range.

#### getIdleConnectionTimeout

    @MXBeanDescription(value="Maximum idle connection time.")
    long getIdleConnectionTimeout()

Gets maximum idle connection time upon which idle connections will be closed.

Returns:
  Maximum idle connection time.

#### isDirectBuffer

    @MXBeanDescription(value="Flag that indicates whether direct or heap allocated buffer is used.")
    boolean isDirectBuffer()

Gets flag that indicates whether direct or heap allocated buffer is used.

Returns:
  Flag that indicates whether direct or heap allocated buffer is used.

#### getSelectorsCount

    @MXBeanDescription(value="Count of selectors used in TCP server.")
    int getSelectorsCount()

Gets count of selectors used in TCP server. Default value equals to the number of CPUs available in the system.

Returns:
  Count of selectors in TCP server.

#### getSentMessagesCount

    @MXBeanDescription(value="Sent messages count.")
    int getSentMessagesCount()

Gets sent messages count.

Returns:
  Sent messages count.

#### getSentBytesCount

    @MXBeanDescription(value="Sent bytes count.")
    long getSentBytesCount()

Gets sent bytes count.

Returns:
  Sent bytes count.

#### getReceivedMessagesCount

    @MXBeanDescription(value="Received messages count.")
    int getReceivedMessagesCount()

Gets received messages count.

Returns:
  Received messages count.

#### getReceivedBytesCount

    @MXBeanDescription(value="Received bytes count.")
    long getReceivedBytesCount()

Gets received bytes count.

Returns:
  Received bytes count.

#### getOutboundMessagesQueueSize

    @MXBeanDescription(value="Outbound messages queue size.")
    int getOutboundMessagesQueueSize()

Gets outbound messages queue size.

Returns:
  Outbound messages queue size.

#### getConnectTimeout

    @MXBeanDescription(value="Connect timeout.")
    long getConnectTimeout()

Gets connect timeout used when establishing connection with remote nodes.

Returns:
  Connect timeout.

#### getMaxConnectTimeout

    @MXBeanDescription(value="Maximum connect timeout.")
    long getMaxConnectTimeout()

Gets maximum connect timeout.

Returns:
  Maximum connect timeout.

#### getReconnectCount

    @MXBeanDescription(value="Reconnect count on connection failure.")
    int getReconnectCount()

Gets maximum number of reconnect attempts used when establishing connection with remote nodes.

Returns:
  Reconnects count.

#### isTcpNoDelay

    @MXBeanDescription(value="TCP_NODELAY socket option value.")
    boolean isTcpNoDelay()

Gets value for `TCP_NODELAY` socket option.

Returns:
  `True` if TCP delay is disabled.

#### getConnectionBufferFlushFrequency

    @Deprecated
    @MXBeanDescription(value="Connection buffer flush frequency.")
    long getConnectionBufferFlushFrequency()

Deprecated. Not used anymore.
Gets connection buffer flush frequency.

Client connections to other nodes in topology use buffered output. This frequency defines how often system will advice to flush connection buffer.

Returns:
  Flush frequency.

#### setConnectionBufferFlushFrequency

    @Deprecated
    @MXBeanDescription(value="Sets connection buffer flush frequency.")
    void setConnectionBufferFlushFrequency(long connBufFlushFreq)

Deprecated. Not used anymore.
Sets connection buffer flush frequency.

Client connections to other nodes in topology use buffered output. This frequency defines how often system will advice to flush connection buffer.

This property is used only if `getConnectionBufferSize()` is greater than `0`.

Parameters:
  `connBufFlushFreq` - Flush frequency.
See Also:
  `getConnectionBufferSize()`

#### getConnectionBufferSize

    @Deprecated
    @MXBeanDescription(value="Connection buffer size.")
    int getConnectionBufferSize()

Deprecated. Not used anymore.
Gets connection buffer size.

If set to `0` connection buffer is disabled.

Returns:
  Connection buffer size.

#### isDirectSendBuffer

    @MXBeanDescription(value="Direct send buffer.")
    boolean isDirectSendBuffer()

Gets flag defining whether direct send buffer should be used.

Returns:
  `True` if direct buffers should be used.

#### getSocketReceiveBuffer

    @MXBeanDescription(value="Socket receive buffer.")
    int getSocketReceiveBuffer()

Gets receive buffer size for sockets created or accepted by this SPI.

If not provided, default is `TcpCommunicationSpi.DFLT_SOCK_BUF_SIZE`.

Returns:
  Socket receive buffer size.

#### getSocketSendBuffer

    @MXBeanDescription(value="Socket send buffer.")
    int getSocketSendBuffer()

Gets send buffer size for sockets created or accepted by this SPI.

If not provided, default is `TcpCommunicationSpi.DFLT_SOCK_BUF_SIZE`.

Returns:
  Socket send buffer size.

#### getMessageQueueLimit

    @MXBeanDescription(value="Message queue size limit.")
    int getMessageQueueLimit()

Gets message queue limit for incoming and outgoing messages.

Returns:
  Send queue size limit.

#### getMinimumBufferedMessageCount

    @Deprecated
    @MXBeanDescription(value="Minimum buffered message count.")
    int getMinimumBufferedMessageCount()

Deprecated. Not used anymore.
Gets the minimum number of messages for this SPI, that are buffered prior to sending.

Returns:
  Minimum buffered message count.

#### getSocketWriteTimeout

    @MXBeanDescription(value="Socket write timeout.")
    long getSocketWriteTimeout()

Gets socket write timeout for TCP connections. If message can not be written to socket within this time then connection is closed and reconnect is attempted.

Returns:
  Socket write timeout for TCP connections.

#### getAckSendThreshold

    @MXBeanDescription(value="Number of received messages after which acknowledgment is sent.")
    int getAckSendThreshold()

Gets number of received messages per connection to node after which acknowledgment message is sent.

Returns:
  Number of received messages after which acknowledgment is sent.

#### getUnacknowledgedMessagesBufferSize

    @MXBeanDescription(value="Maximum number of unacknowledged messages.")
    int getUnacknowledgedMessagesBufferSize()

Gets maximum number of stored unacknowledged messages per connection to node. If number of unacknowledged messages exceeds this number then connection to node is closed and reconnect is attempted.

Returns:
  Maximum number of unacknowledged messages.

#### getSlowClientQueueLimit

    @MXBeanDescription(value="Slow client queue limit.")
    int getSlowClientQueueLimit()

Gets slow client queue limit.

When set to a positive number, communication SPI will monitor clients outbound queue sizes and will drop those clients whose queue exceeded this limit.

Returns:
  Slow client queue limit.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015